`simsel.quadratic` <-
function(X, Y, max=0.1, step=0.001)	{
	RSS <- NULL
	LAMBDA <- NULL
	for(i in 1:ncol(X))	{
		tmp <- single.simsel.quadratic(X, Y, max, step, i)
		RSS <- cbind(RSS, tmp$RSS)
		LAMBDA <- cbind(LAMBDA, tmp$lambda)
#		s <- summary(lm(tmp$RSS ~ tmp$H))
#		f <- s[[10]][1]	# F-stat
#		r2 <- s[[9]][1]	# Adjusted R-squared
#		cat("Variable", i, " R-squared", r2, "\n")
#		cat("            F-statistics", f, "\n")
	}
	par(mar=c(5, 4, 4, 5))	
	cc <- rainbow(ncol(X))
	matplot(LAMBDA, RSS, pch = 1:ncol(X), col = cc)
	indexBeta <- list(index = NULL, beta = NULL)
	cat("\n")
	for(i in 1:ncol(X))	{
		tmp <- lm(RSS[,i] ~ LAMBDA[,i])
		abline(tmp, col = cc[i])
		f <- summary(tmp)[[10]][1]	# F-stat
		r2 <- summary(tmp)[[9]][1]	# Adjusted R-squared
		indexBeta$index[i] <- i
		indexBeta$beta[i] <- summary(tmp)[[4]][2] # Save the inclination of the regression line
		cat("Variable", i, " R-squared", r2, "\n")
		cat("            F-statistics", f, "\n")
	}
	# Print variables ranked by regression line inclination
	cat("\nVariable ranking (ranked by regression line inclination):\n", sort.list(indexBeta$beta, decreasing=TRUE), "\n")
	n <- NULL
	for(i in 1:ncol(X))	{
		n <- cbind(n, as.character(i))
	}
	par(xpd=TRUE)
	phi <- .025
	legend((1 + phi)*par("usr")[2], par("usr")[3], xjust = 0, yjust = 0, title="Variables", n, pch = 1:ncol(X), col = cc)
	par(xpd=FALSE)	
}

