`simsel.quadratic.f` <-
function(X, Y, max=0.1, step=0.001, rep=100)	{
	f <- NULL
	r2 <- NULL
	counter <- 1
	for(j in 1:rep)	{
		for(i in 1:ncol(X))	{
			tmp <- single.simsel.quadratic(X, Y, max, step, i)
			tmp <- as.matrix(tmp)
			tmp <- summary(lm(tmp[,1] ~ tmp[,2]))
			f[counter] <- tmp[[10]][1]	# F-stat
			r2[counter] <- tmp[[9]][1]	# Adjusted R-squared
#			f[counter] <- summary(lm(tmp[,1] ~ tmp[,2]))[[4]][8]	# p-value
			counter <- counter + 1
		}
	}
	fi.means <- NULL
	r2i.means <- NULL	
	fac <- factor(rep(1:ncol(X), rep))
	for(i in 1:ncol(X))	{
		r2i <- r2[fac==i]
		fi <- f[fac==i]
		r2i.means[i] <- mean(r2i)
		fi.means[i] <- mean(fi)
		cat("Variable", i, " R-squared,  mean =", r2i.means[i], ", stdv =", sqrt(var(r2i)), "\n")
		cat("            F-statistic, mean =", fi.means[i], ", stdv =", sqrt(var(fi)), "\n")
	}
	fi.means.sorted <- sort(fi.means, decreasing=TRUE)
	n <- colnames(X)
	for(i in 1:ncol(X))	{
		ranking <- which(fi.means.sorted == fi.means[i])
		n[i] <- paste(n[i], " (", ranking, ")", sep="")
	}
	# To use for prostate and selwood
#	violinplot(f ~ fac, col = "brown", names=FALSE, par(mar = c(7, 4, 4, 2) + 0.3))	
#	text(1:ncol(X), par("usr")[3]-(par("usr")[4]-par("usr")[3])*0.065, srt = 90, adj = 1, labels = n, xpd = TRUE)
	# To use in simulations
	violinplot(f ~ fac, col = "brown", names=FALSE, par(mar = c(7, 4, 4, 2) + 0.15))	
	text(1:ncol(X), par("usr")[3]-(par("usr")[4]-par("usr")[3])*0.045, srt = 90, adj = 1, labels = n, xpd = TRUE)
#	title(main = "Distributions of F-statistic")
	title(ylab="F-statistic")
	# To use for prostate and selwood	
#	title(mgp=c(5.7,1,0), xlab="Variable")
	# To use in simulations
	title(mgp=c(3.2,1,0), xlab="Variable")
	lines(c(0.5, ncol(X) + 0.5), c(qf(0.95, 1, nrow(X)), qf(0.95, 1, nrow(X))), col="dark green")
}

