`single.simsel.linear` <-
function(X, Y, max=0.1, step=0.001, colNo)	{
	# Make copy of X
	Xcopy <- as.matrix(X)
	# Create sequence of all lambdas
	lambda <- seq(0, max, step)
	# Instantiate some variables
	K <- length(lambda)
	RSS <- vector(mode = "numeric", length = K)
	H <- vector(mode = "numeric", length = K)
	# For all values of lambda...
	for(i in 1:K)	{
		X <- Xcopy		
		X[, colNo] <- X[, colNo] + sqrt(lambda[i])*rnorm(nrow(X))
		M <- lm(as.matrix(Y) ~ as.matrix(X))
		RSS[i] <- sum(M$resid^2)
	}
	# Return the RSS and the h(n, n) element
	return(data.frame(RSS, lambda))
}

