`single.simsel.quadratic` <-
function(X, Y, max=0.1, step=0.001, colNo)	{
	# Mean centre X and Y
	X <- scale(X, center=TRUE, scale=TRUE)
	Y <- scale(Y, center=TRUE, scale=TRUE)
	# Make copy of X
	Xcopy <- X
	# Create sequence of all lambdas
	lambda <- seq(0, max, step)
	# Instantiate some variables
	K <- length(lambda)
	RSS <- vector(mode = "numeric", length = K)
	H <- vector(mode = "numeric", length = K)
	# For all values of lambda...
	for(i in 1:K)	{
		X <- Xcopy
		# Add errors and expand
		X[, colNo] <- X[, colNo] + sqrt(lambda[i])*rnorm(nrow(X))	
		X1 <- expand1(X)
		# Fit linear model
		M <- lm(as.matrix(Y) ~ as.matrix(X) + as.matrix(X1))		
		RSS[i] <- sum(M$resid^2)
	}
	# Return the RSS and the lambdas
	return(data.frame(RSS, lambda))
}

