\name{single.simsel.linear}
\alias{single.simsel.linear}
\title{The linear SimSel algorithm applied to only one variable.}
\description{
The linear SimSel algorithm applied to only one variable. This method is not intended to be called directly, but from simsel.linear and simsel.linear.f.
}
\usage{
single.simsel.linear(X, Y, max = 0.1, step = 0.001, colNo)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{X}{Independent variables. NAs not allowed (yet).}
  \item{Y}{Dependent variable}
  \item{max}{The maximum value of the lambdas}
  \item{step}{The step size of the lambdas}	
  \item{colNo}{Which columns the errors are added to}
}
%\details{
%  ~~ If necessary, more details than the description above ~~
%}
\value{
A data frame containing the lambda[i]/(1+H[1,1]*lambda[i]) elements and the RSS.
}
\references{'SimSel - a new simulation method for variable selection' (submitted to Computational Statistics and Data Analysis)}
%\author{ ~~who you are~~ }
%\note{
}
\seealso{\code{\link{single.simsel.quadratic}}}
\examples{
X <- matrix(rnorm(50), ncol=5)
Y <- matrix(rnorm(10), ncol=1)
single.simsel.linear(X, Y, 0.1, 0.001, 1)

## The function is currently defined as
function(X, Y, max=0.1, step=0.001, colNo)	{
	# Make copy of X
	Xcopy <- as.matrix(X)
	# Create sequence of all lambdas
	lambda <- seq(0, max, step)
	# Instantiate some variables
	K <- length(lambda)
	RSS <- vector(mode = "numeric", length = K)
	H <- vector(mode = "numeric", length = K)
	# For all values of lambda...
	for(i in 1:K)	{
		X <- Xcopy
		# Calculate the lamda/(1+h(n, n)*lamda) element...
		h <- solve((t(X)\%*\%X)/nrow(X))
		H[i] <- lambda[i]		
		X[, colNo] <- X[, colNo] + sqrt(lambda[i])*rnorm(nrow(X))
		M <- lm(as.matrix(Y) ~ as.matrix(X))
		RSS[i] <- sum(M$resid^2)
	}
	# Return the RSS and the h(n, n) element
	return(data.frame(RSS, H))
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{NA}
