\name{single.simsel.quadratic}
\alias{single.simsel.quadratic}
\title{The quadratic SimSel algorithm applied to only one variable.}
\description{
The quadratic SimSel algorithm applied to only one variable. This method is not intended to be called directly, but from simsel.quadratic and simsel.quadratic.f.
}
\usage{
single.simsel.quadratic(X, Y, max = 0.1, step = 0.001, colNo)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{X}{Independent variables. NAs not allowed (yet).}
  \item{Y}{Dependent variable}
  \item{max}{The maximum value of the lambdas}
  \item{step}{The step size of the lambdas}	
  \item{colNo}{Which columns the errors are added to}
}
%\details{
% ~~ If necessary, more details than the description above ~~
%}
\value{
A data frame containing the lambda[i] elements and the RSS.
}
\references{'SimSel - a new simulation method for variable selection' (submitted to Computational Statistics and Data Analysis)}
%\author{ ~~who you are~~ }
%\note{ }
\seealso{\code{\link{single.simsel.linear}}}
\examples{
X <- matrix(rnorm(50), ncol=5)
Y <- matrix(rnorm(10), ncol=1)
single.simsel.quadratic(X, Y, 0.1, 0.001, 1)

## The function is currently defined as
function(X, Y, max=0.1, step=0.001, colNo)	{
	# Make sure we have matrices
#	X <- as.matrix(X)
#	Y <- as.matrix(Y)
	#X <- as.data.frame(X)
	#Y <- as.data.frame(Y)
	# Orthogonalize X
	#X <- orthonormalization(X, FALSE, FALSE)
	# Mean centre X and Y
	X <- scale(X, center=TRUE, scale=TRUE)
	Y <- scale(Y, center=TRUE, scale=TRUE)
	# Make copy of X
	Xcopy <- X
	# Create sequence of all lambdas
	lambda <- seq(0, max, step)
	# Instantiate some variables
	K <- length(lambda)
	RSS <- vector(mode = "numeric", length = K)
	H <- vector(mode = "numeric", length = K)
	# For all values of lambda...
	for(i in 1:K)	{
		X <- Xcopy
		# Expand and add errors
		X1 <- expand33(X, colNo, lambda[i])
		X[, colNo] <- X[, colNo] + sqrt(lambda[i])*rnorm(nrow(X))
		# Center
		X <- scale(X, center=TRUE, scale=FALSE)
		X1 <- scale(X1, center=TRUE, scale=FALSE)
		M <- lm(as.matrix(Y) ~ as.matrix(X) + as.matrix(X1))
		RSS[i] <- sum(M$resid^2)
	}
	# Return the RSS and the lambdas
	return(data.frame(RSS, lambda))
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{NA}
